import java.io.*;
import java.util.*;
public class main {
    public static void main (String[] args) throws Exception
    {
        Scanner in = new Scanner (new File("quotient.in"));
        long a=in.nextInt();
        long b=in.nextInt();
        PrintWriter out = new PrintWriter ("quotient.out");
        if(b!=0)
        out.println(a / b);
        if(b==0)
        out.println("Na nol' delit' nel'zya!!!");
        out.close();
        in.close();
    }
}
